
QGIS Application - Bug report #16918

problem when rotate composite symbols

2017-07-22 06:23 PM - Luca Lanteri

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 24817

Description

If I have a symbol composed by 2 simple symbols and one of them is rotated, when I apply a rotation to the composed symbol this is

plotted wrong in legend and TOC (the two part are no more reciprocally rotated of 90°).

eg: 

- I made simbol "giaciture" composed by two lines reciprocally rotated of 90°

- I apply a rotation to "giaciture" driven by a field 'immersione'

- Symbol are correct in map composer but not in legend and TOC.

try with attached example.

Tested on QGIS 2.18.10 on linux MINT 18.

History

#1 - 2017-07-24 01:39 PM - Giovanni Manghi

- File Screenshot_20170724_123832.png added

- Status changed from Open to Feedback

see attached screenshot: maybe the missing field is the reason for what you observe?

#2 - 2017-07-24 03:10 PM - Luca Lanteri

no, I presume. 

I've just retried giacitura.gpkg package data and I haven't got missing field.

I've also tried with QGIS 2.99 and I have the same behaviour.

#3 - 2017-07-25 01:53 AM - Giovanni Manghi

- Affected QGIS version changed from 2.18.10 to 2.18.11

- Status changed from Feedback to Open

#4 - 2018-02-24 11:10 PM - Luca Lanteri

The problem is still open on 3.0

#5 - 2018-02-25 09:11 PM - Giovanni Manghi
- Affected QGIS version changed from 2.18.11 to 3.0.0

#6 - 2019-02-23 03:17 PM - Alberto Grava

- File screenshot_symbology.png added

I've tried on ubuntu 18.04 (with qgis 3.4.4) using giacitura.gpkg and it works correctly (see the screenshot).

#7 - 2019-02-23 03:26 PM - Alberto Grava

- Status changed from Open to Feedback

#8 - 2019-03-10 06:02 PM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closing of lack of feedback.

Files

giacitura.gpkg 63 KB 2017-07-22 Luca Lanteri

giacitura.xml 2.25 KB 2017-07-22 Luca Lanteri

Screenshot_20170724_123832.png 215 KB 2017-07-24 Giovanni Manghi

screenshot_symbology.png 319 KB 2019-02-23 Alberto Grava
